from Products.ERP5Type.Message import translateString
REQUEST = context.REQUEST
RESPONSE = REQUEST.RESPONSE
portal = context.getPortalObject()

assert key
mail_message = portal.portal_catalog.getResultValue(portal_type="Mail Message", reference=key)

credential_request = mail_message.getFollowUpValue()
if credential_request.getValidationState() in ('submitted', 'accepted'):
  message = translateString("Your account is already active.")
  notification_status = "error"
else:
  credential_request.submit(comment=translateString('Created by subscription form'))
  mail_message.deliver()
  message = translateString("Account activation processing, an email will be sent on finish")
  notification_status = "success"

url = '%s/login_form?portal_status_message=%s&notification_status=%s' % (context.absolute_url(), message, notification_status)
RESPONSE.redirect(url)
